Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Is it possible to install Ambari (HDP) on Ubuntu 18.04 LTS ? Even it is not official supported?

Is it possible to install Ambari (HDP) on Ubuntu 18.04 LTS ? Even it is not official supported?

New Contributor

Is there a way to install HDP on Ubuntu 18.04, even it is not official supported? Does anyone have experience with that? Or is it impossible.

4 REPLIES 4

Re: Is it possible to install Ambari (HDP) on Ubuntu 18.04 LTS ? Even it is not official supported?

Expert Contributor

It all depends on if there were any architectural changes to the parts of the OS that HDP interacts with. You can try installing it and testing it out to know for sure, but I would imagine it is possible. I have not tried it myself nor would I recommend it until it is certified.

Re: Is it possible to install Ambari (HDP) on Ubuntu 18.04 LTS ? Even it is not official supported?

Hi @Andreas Kühnert ,

As per https://supportmatrix.hortonworks.com/ the Ubuntu 18:04 is not tested and certified by Hortonworks QE team for using with HDP. but i see as Ubuntu 16:04 is certified their won't be any issue with using 18.04.

Have a look on the python version and jdk version and see if its in supported list.

Hope this helps you.

Highlighted

Re: Is it possible to install Ambari (HDP) on Ubuntu 18.04 LTS ? Even it is not official supported?

New Contributor

Hi @Akhil S Naik

I tried and Ambari says on confirmation hosts step following:

Exception:Registration failed due to:Cannotregister host withnot supported os type, hostname=xxxx, serverOsType=ubuntu18, agentOsType=ubuntu18

Re: Is it possible to install Ambari (HDP) on Ubuntu 18.04 LTS ? Even it is not official supported?

Super Mentor

@Andreas Kühnert

Looks like you had another post with similar query. Please see the other link for more details:

https://community.hortonworks.com/questions/226623/ubuntu-1804-and-ambari-wizard-error-cannot-regist...